Next: *COUPLED TEMPERATURE-DISPLACEMENT Up: Input deck format Previous: *CONTACT PRINT Contents

##
*CONTROLS

Keyword type: step

This option is used to change the iteration control parameters. It should only be used by those users who know what they are doing and are expert in the field. There are two, mutually exclusive parameter: PARAMETERS and RESET. The RESET parameter resets the control parameters to their defaults. With the parameter PARAMETERS is used to change the defaults. It can take the value TIME INCREMENTATION or FIELD. These values are mutually exclusive. If the TIME INCREMENTATION value is selected, the number of iterations before certain actions are taken (e.g. the number of divergent iterations before the increment is reattempted) can be changed and effect of these actions (e.g. the increment size is divided by two). The FIELD parameter can be used to change the convergence criteria themselves.

First line:

- *CONTROLS
- Enter the PARAMETERS parameter and its value, or the RESET parameter.

There are no subsequent lines if the parameter RESET is selected.

Following lines if PARAMETERS=TIME INCREMENTATION is selected:

Second line:

- iteration after which a check is made whether the residuals increase in two consecutive iterations (default: 4). If so, the increment is reattempted with times its size.
- iteration after which a logarithmic convergence check is performed in each iteration (default: 8). If more than iterations are needed, the increment is reattempted with its size.
- iteration after which the residual tolerance is used instead of (default: 9).
- maximum number of iterations allowed (default: 16).
- number of iterations after which the size of the subsequent increment will be reduced (default: 10).
- maximum number of iterations allowed in two consecutive increments for the size of the next increment to be increased (default: 4).
- Currently not used.
- Maximum number of cutbacks per increment (default: 5). A cutback is a reattempted increment.
- Currently not used.
- Currently not used.

Third line:

- Cutback factor if the solution seems to diverge(default: 0.25).
- Cutback factor if the logarithmic extrapolation predicts too many iterations (default: 0.5).
- Cutback factor for the next increment if more than iterations were needed in the current increment (default: 0.75).
- Cutback factor if the temperature change in two subsequent increments exceeds DELTMX (default: 0.85).
- Currently not used.
- Currently not used.
- Factor by which the next increment will be increased if less than iterations are needed in two consecutive increments (default: 1.5).
- Currently not used.

Following lines if PARAMETERS=FIELD is selected:

Second line:

- Convergence criterion for the ratio of the largest residual to the average force (default: 0.005). The average force is defined as the average over all increments in the present step of the instantaneous force. The instantaneous force in an increment is defined as the mean of the absolute value of the nodal force components within all elements.
- Convergence criterion for the ratio of the largest solution correction to the largest incremental solution value (default: 0.01).
- Initial value at the start of a new step of the time average force (default: the time average force from the previous steps or 0.01 for the first step).
- user-defined average force. If defined, the calculation of the average force is replaced by this value.
- Alternative residual convergence criterion to be used after iterations instead of (default: 0.02).
- Criterion for zero flux relative to (default: ).
- Convergence criterion for the ratio of the largest solution correction to the largest incremental solution value in case of zero flux (default: ).
- Convergence criterion for the ratio of the largest residual to the average force for convergence in a single iteration (default: ).

    Example:

    *CONTROLS,PARAMETERS=FIELD
    1.e30,1.e30,0.01,,0.02,1.e-5,1.e-3,1.e-8

leads to convergence in just one iteration since nearly any residuals are accepted for convergence ( and .

Example files: beammrco.

Next: *COUPLED TEMPERATURE-DISPLACEMENT Up: Input deck format Previous: *CONTACT PRINT Contents